Bug 999823 - (python-scikit-learn_unbundling-tracker) Remove bundled libraries from python-scikit-learn
Remove bundled libraries from python-scikit-learn
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-scikit-learn (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sergio Pascual
Fedora Extras Quality Assurance
:
Depends On: 1003394
Blocks: DuplicSysLibsTracker ML-SIG scikit-learn
  Show dependency treegraph
 
Reported: 2013-08-22 04:36 EDT by Tadej Janež
Modified: 2015-11-25 15:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-25 15:52:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tadej Janež 2013-08-22 04:36:50 EDT
Description of problem:
As described in a post to the scikit-learn mailing list by Björn Esser yesterday [1], scikit-learn contains many bundled libraries that are not allowed by Fedora's packaging guidelines [2]:
* libsvm
* liblinear
* cblas from atlas
* blas (converted from Fortran to C using f2c)
* python-six (*)
* python-joblib

Please fix those by collaborating with the upstream authors.

(*) This is not bundled with the current version 0.13.1, but it will be with the recently released 0.14.
[1] http://sourceforge.net/mailarchive/message.php?msg_id=31313259
[2] https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Comment 1 Björn "besser82" Esser 2013-09-14 07:51:41 EDT
Any news on this, Sergio?
Comment 2 Sergio Pascual 2013-09-15 18:16:00 EDT
I have unbundled cblas, blas and joblib in python-scikit-learn-0.14.1-2.fc21

To unbundle six we need it at version 1.4. I have pinged six maintainer but he hasn't answered yet.

I'm leaving libsvm and liblinear for later.
Comment 3 Sergio Pascual 2013-09-25 17:20:45 EDT
Update, now we have the required six in f20 and rawhide. I have asked the maintainer to update in f19 and f18 also.

After the atlas update in rawhide, python-scikit-learn is broken, but I can't fix it until scipy is fixed also
Comment 4 Jaroslav Reznik 2015-03-03 09:59:52 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Note You need to log in before you can comment on or make changes to this bug.